<script>
  import BigButton from "../components/BigButton.svelte";
  import Credits from "../components/Credits.svelte";
</script>

<style>
  :root {
    --main-color: #169497;
  }

  div {
    display: flex;
    flex-flow: row;
    justify-content: center;
    margin: 30px 0 0 0;
    place-items: center;
  }

  h1,
  img {
    text-align: center;
    margin: 0;
  }

  h1 {
    font-size: 36px;
    font-weight: 200;
    margin: 20px 0 0;
  }

  img {
    display: block;
    height: 320px;
    margin: 0 auto;
    width: auto;
  }

  @media (min-width: 480px) {
    h1 {
      font-size: xxx-large;
    }
  }
</style>

<svelte:head>
  <title>Sapper/Svelte project template for GitLab Pages</title>
</svelte:head>

<section class="projects">
  <div class="project-sapper">
    <img alt="Sapper Logo" src="logo.svg" />
  </div>
  <h1>Sapper GitLab Pages</h1>
  <div>
    <BigButton url="https://sapper.svelte.dev/docs">Documentation</BigButton>
    <BigButton url="https://github.com/sveltejs/sapper">GitHub</BigButton>
  </div>
  <Credits />
</section>
